#ifndef _H_E4A6AA1DEC13C8EE9554E2DD97E6F271_GoalStatus__H_
#define _H_E4A6AA1DEC13C8EE9554E2DD97E6F271_GoalStatus__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"
#include "actionlib_msgs/msg/dds_opensplice/GoalID_.h"


namespace actionlib_msgs
{
    namespace msg
    {
        namespace dds_
        {
            const ::DDS::Octet GoalStatus__PENDING = 0;

            const ::DDS::Octet GoalStatus__ACTIVE = 1;

            const ::DDS::Octet GoalStatus__PREEMPTED = 2;

            const ::DDS::Octet GoalStatus__SUCCEEDED = 3;

            const ::DDS::Octet GoalStatus__ABORTED = 4;

            const ::DDS::Octet GoalStatus__REJECTED = 5;

            const ::DDS::Octet GoalStatus__PREEMPTING = 6;

            const ::DDS::Octet GoalStatus__RECALLING = 7;

            const ::DDS::Octet GoalStatus__RECALLED = 8;

            const ::DDS::Octet GoalStatus__LOST = 9;

            struct  GoalStatus_
            {
                ::actionlib_msgs::msg::dds_::GoalID_ goal_id_;
                ::DDS::Octet status_;
                ::DDS::String_mgr text_;
            };

            typedef DDS_DCPSStruct_var<GoalStatus_> GoalStatus__var;
            typedef DDS_DCPSStruct_out < GoalStatus_> GoalStatus__out;

        }

    }

}

#endif /* _H_E4A6AA1DEC13C8EE9554E2DD97E6F271_GoalStatus__H_ */
